libzypp 17.37.10

RepoProvideFile.cc File Reference
`#include "zypp-core/zyppng/pipelines/transform.h"`
`#include <iostream>`
`#include <fstream>`
`#include <sstream>`
`#include <set>`
`#include <zypp/base/Gettext.h>`
`#include <zypp/base/Logger.h>`
`#include <zypp/base/String.h>`
`#include <utility>`
`#include <zypp-core/base/UserRequestException>`
`#include <zypp/repo/RepoProvideFile.h>`
`#include <zypp/ZYppCallbacks.h>`
`#include <zypp/MediaSetAccess.h>`
`#include <zypp/ZConfig.h>`
`#include <zypp/ZYppFactory.h>`
`#include <zypp/repo/SUSEMediaVerifier.h>`
`#include <zypp/repo/RepoException.h>`
`#include <zypp/FileChecker.h>`
`#include <zypp/Fetcher.h>`

Go to the source code of this file.

## Classes
class | zypp::repo::RepoMediaAccess::Impl

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::repo

## Functions
ManagedFile | zypp::repo::provideFile (RepoInfo repo_r, const OnMediaLocation &loc_r, const ProvideFilePolicy &policy_r=ProvideFilePolicy())
| Provide a file from a Repository.